Subject: Re: bug#39797: Emacs crashes when using Noto Color Emoji font

From: Robert Pluim <[email-masked]>
Date: Wed, 26 Feb 2020 16:20:47 +0100

>>>>> On Wed, 26 Feb 2020 14:35:20 +0100, Mike FABIAN <[email-masked]> said:

    Mike> Mike FABIAN <[email-masked]> さんはかきました:
    >> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37786
    >> 
    >> seems related and
    >> 
    >> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37786#49
    >> 
    >> says 
    >> 
    >> Fixed by adding "Noto Color Emoji" to face-ignored-fonts
    >> instead. Closing.
    >> 
    >> Committed as eae50e88ef
    >> 
    >> but although I have commit eae50e88ef it still crashes for me.

    Mike> I made a mistake, I compiled from git master but then used an older
    Mike> installation for testing.

    Mike> It *does* work with git master.

You had me worried there for a moment :-)

    Mike> As can be seen in the attached screenshot, Emacs can display colour
    Mike> emoji in the buffer. The screenshot uses the “Joypixels” font (Version
    Mike> 5.5), but it works with “Noto Color Emoji” as well. I just tested wrong.

    Mike> Some sequences like

    Mike> 👩‍🦰 U+1F469 U+200D U+1F9B0 woman: red hair
    Mike> 🧑‍🦰 U+1F9D1 U+200D U+1F9B0 person: red hair

    Mike> don’t render correctly in the screenshot, although they work
    Mike> using the same (“Joypixels”) font in gedit. But that is a different
    Mike> problem …

Is this with a cairo build or an XFT one? Gedit will almost certainly
be using cairo. (Iʼd test it myself, but downloading joypixels
requires signing up, and Iʼm feeling ornery today).

    Mike> So I think this bug here can be closed.

Done with this message.

Robert